diff options
author | Jim Meyering <meyering@redhat.com> | 2007-11-29 09:21:22 +0100 |
---|---|---|
committer | Jim Meyering <meyering@redhat.com> | 2008-02-09 10:30:33 +0100 |
commit | 72565ddffe0b249fc23bd8253564aaf3311f833c (patch) | |
tree | bf827f4d0980adc9f163359eda745c6e6a1e8675 /tests/du/8gb | |
parent | 52d9bba7126de635eb356e3b379c5e4659ce2462 (diff) | |
download | coreutils-72565ddffe0b249fc23bd8253564aaf3311f833c.tar.xz |
tests: call skip_test_ in place of echo+exit 77
* tests/mv/no-target-dir: Likewise.
* tests/other-fs-tmpdir: Likewise.
* tests/rm/empty-name: Likewise.
* tests/rm/fail-eperm: Likewise.
* tests/rm/inaccessible: Likewise.
* tests/rm/isatty: Likewise.
* tests/rm/unreadable: Likewise.
* tests/setgid-check: Likewise.
* tests/sparse-file: Likewise.
* tests/strace: Likewise.
* tests/tail-2/append-only: Likewise.
* tests/tail-2/big-4gb: Likewise.
* tests/tail-2/tail-n0f: Likewise.
* tests/touch/dangling-symlink: Likewise.
* tests/touch/fifo: Likewise.
* tests/touch/not-owner: Likewise.
* tests/mv/i-3: Likewise.
* tests/umask-check: Likewise.
* tests/mv/acl: Likewise.
* tests/cp/acl: Likewise.
* tests/chgrp/deref: Likewise.
* tests/chmod/setgid: Likewise.
* tests/cp/existing-perm-race: Likewise.
* tests/cp/file-perm-race: Likewise.
* tests/cp/parent-perm-race: Likewise.
* tests/du/2g: Likewise.
* tests/du/8gb: Likewise.
* tests/du/long-from-unreadable: Likewise.
* tests/du/long-sloop: Likewise.
* tests/du/slink: Likewise.
* tests/ls/nameless-uid: Likewise.
* tests/ls/stat-dtype: Likewise.
* tests/misc/cat-proc: Likewise.
* tests/misc/md5sum-newline: Likewise.
* tests/misc/nice: Likewise.
* tests/misc/od-x8: Likewise.
* tests/misc/pwd-unreadable-parent: Likewise.
* tests/misc/selinux: Likewise.
* tests/misc/stty-row-col: Likewise.
* tests/misc/tac-continue: Likewise.
* tests/misc/arch: Likewise, and source $srcdir/../test-lib.sh *before*
the use of skip_test_.
Diffstat (limited to 'tests/du/8gb')
-rwxr-xr-x | tests/du/8gb | 12 |
1 files changed, 5 insertions, 7 deletions
diff --git a/tests/du/8gb b/tests/du/8gb index 29d48c2e0..ab6dedde4 100755 --- a/tests/du/8gb +++ b/tests/du/8gb @@ -27,9 +27,8 @@ fi dd bs=1 seek=8G of=big < /dev/null 2> /dev/null if test $? != 0; then - echo "$0: cannot create a file large enough for this test; possibly" 1>&2 - echo "$0: because file offsets are only 32 bits on this file system" 1>&2 - (exit 77); exit 77 + skip_test_ 'cannot create a file large enough for this test; possibly +because file offsets are only 32 bits on this file system' fi # FIXME: this should be a test of dd. @@ -40,10 +39,9 @@ fi set x `ls -gG big` size=$4 if test "$size" = 0; then - echo "$0: cannot create a file large enough for this test;" 1>&2 - echo "$0: possibly because this system's NFS support is buggy;" 1>&2 - echo "$0: Consider rerunning this test on a different file system." 1>&2 - (exit 77); exit 77 + skip_test_ "cannot create a file large enough for this test +possibly because this system's NFS support is buggy +Consider rerunning this test on a different file system." fi fail=0 |